fse.vo

## Class MetadataCriteria

- java.lang.Object
- - fse.vo.MetadataCriteria

-     public class MetadataCriteria
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `id`
    `protected Value` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetadataCriteria()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()` Restituisce l'identificativo univoco del criterio di ricerca.
    `Value` | `getValue()` Restituisce il valore richiesto per il criterio di ricerca.
    `void` | `setId(String id)` Imposta l'identificativo univoco del criterio di ricerca.
    `void` | `setValue(Value value)` Imposta il valore richiesto per il criterio di ricerca.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected String id

    - #### value

          protected Value value

  - ### Constructor Detail

    - #### MetadataCriteria

          public MetadataCriteria()

  - ### Method Detail

    - #### getId

          public String getId()

      Restituisce l'identificativo univoco del criterio di ricerca.
      Returns:
        l'identificativo univoco del criterio di ricerca.

    - #### setId

          public void setId(String id)

      Imposta l'identificativo univoco del criterio di ricerca. Parametro obbligatorio.
      Parameters:
        `id` - l'identificativo univoco del criterio di ricerca.

    - #### getValue

          public Value getValue()

      Restituisce il valore richiesto per il criterio di ricerca.
      Returns:
        il valore richiesto

    - #### setValue

          public void setValue(Value value)

      Imposta il valore richiesto per il criterio di ricerca. Parametro obbligatorio.
      Parameters:
        `value` - il valore richiesto